API 参考

112 个端点

每个端点都接受 JSON,并需要 X-API-Key 请求头进行身份验证。

基础 URL 和请求头

基础 URL
https://horizon.pm/api/v1/app
X-API-Key
你的项目 API Key。每个请求都要发送。

查看完整 API 参考

端点

112 / 112
方法路径功能复制 URL
GET/marketplace/limits交易市场
GET/marketplace/rules交易市场
GET/marketplace交易市场
GET/marketplace/listings交易市场
GET/marketplace/listings/{listingId}交易市场
POST/marketplace/listings交易市场
POST/marketplace/listings/{listingId}/buy交易市场
POST/marketplace/listings/{listingId}/cancel交易市场
GET/marketplace/operations/{operationId}交易市场
POST/marketplace/listings/{listingId}/retry-return交易市场
GET/chat/limits聊天管理
POST/chat/channels/open聊天管理
POST/chat/channels/{channelId}/sync聊天管理
POST/chat/channels/{channelId}/messages聊天管理
GET/chat/operations/{operationId}聊天管理
POST/chat/channels/{channelId}/messages/{messageId}/report聊天管理
GET/matches对局
GET/matches/limits对局
GET/matches/open对局
GET/matches/{matchId}对局
POST/matches对局
POST/matches/{matchId}/join对局
POST/matches/{matchId}/decline对局
POST/matches/{matchId}/start对局
POST/matches/{matchId}/turn对局
POST/matches/{matchId}/timeout对局
POST/matches/{matchId}/leave对局
POST/matches/{matchId}/cancel对局
POST/matches/{matchId}/result对局
POST/matches/{matchId}/ranked-run对局
GET/shared-objects/collections共享对象
GET/shared-objects/{collection}/usage共享对象
GET/shared-objects/{collection}/objects/{objectId}共享对象
POST/shared-objects/{collection}/query共享对象
POST/shared-objects/{collection}/objects共享对象
PUT/shared-objects/{collection}/objects/{objectId}共享对象
DELETE/shared-objects/{collection}/objects/{objectId}共享对象
GET/items物品
GET/items/catalog物品
POST/items/adjust物品
POST/items/equip物品
POST/items/discard物品
GET/groups群组
GET/groups/{groupId}群组
GET/groups/{groupId}/members群组
GET/groups/{groupId}/pending群组
POST/groups群组
PUT/groups/{groupId}群组
POST/groups/{groupId}/join群组
POST/groups/{groupId}/request群组
POST/groups/{groupId}/invite群组
POST/groups/{groupId}/accept-invite群组
POST/groups/{groupId}/decline-invite群组
POST/groups/{groupId}/cancel-invite群组
POST/groups/{groupId}/accept-request群组
POST/groups/{groupId}/decline-request群组
POST/groups/{groupId}/cancel-request群组
POST/groups/{groupId}/leave群组
POST/groups/{groupId}/remove群组
POST/groups/{groupId}/role群组
POST/groups/{groupId}/transfer群组
POST/groups/{groupId}/delete群组
POST/user-management/signup身份认证
POST/user-management/signin身份认证
POST/user-management/check-auth用户
POST/user-management/change-name用户
GET/friends好友
GET/friends/find好友
POST/friends/request好友
POST/friends/accept好友
POST/friends/decline好友
POST/friends/cancel好友
POST/friends/remove好友
POST/friends/block好友
POST/friends/unblock好友
GET/achievements成就
POST/achievements/unlock成就
POST/achievements/rewards/deliver成就
GET/inbox玩家收件箱
POST/inbox/read玩家收件箱
POST/inbox/claim玩家收件箱
POST/inbox/remove玩家收件箱
GET/statistics玩家统计
GET/statistics/definitions玩家统计
POST/statistics玩家统计
GET/player-values玩家数值
GET/player-values/offers玩家数值
POST/player-values/purchase玩家数值
POST/player-values/adjust玩家数值
GET/player-profile玩家资料
PUT/player-profile玩家资料
POST/leaderboard/submit排行榜
GET/leaderboards/{boardKey}/top排行榜
GET/leaderboards/{boardKey}/rank排行榜
GET/leaderboards/{boardKey}/around排行榜
POST/validated-actions/runs已验证操作
POST/validated-actions/submit已验证操作
POST/cloud-save/save云端存档
POST/cloud-save/load云端存档
GET/remote-config/{configKey}远程配置
GET/remote-config/all远程配置
GET/localization/{key}本地化
GET/localization/all本地化
GET/news新闻
POST/gift-codes/validate礼品码
POST/gift-codes/redeem礼品码
POST/email-sending/send邮件发送
GET/email-sending/{emailId}邮件发送
POST/crash-reports/session崩溃报告
POST/crash-reports/create崩溃报告
POST/user-feedback/submit用户反馈
POST/user-logs/create用户日志

示例请求

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'